[Debian-live-changes] r2210 - dists/trunk/live-helper/helpers

daniel at alioth.debian.org daniel at alioth.debian.org
Tue Jun 19 15:48:24 UTC 2007


Author: daniel
Date: 2007-06-19 15:48:24 +0000 (Tue, 19 Jun 2007)
New Revision: 2210

Added:
   dists/trunk/live-helper/helpers/lh_config_clone
Removed:
   dists/trunk/live-helper/helpers/lh_bootstrap_clone
Modified:
   dists/trunk/live-helper/helpers/lh_config
Log:


Deleted: dists/trunk/live-helper/helpers/lh_bootstrap_clone
===================================================================
--- dists/trunk/live-helper/helpers/lh_bootstrap_clone	2007-06-19 14:55:10 UTC (rev 2209)
+++ dists/trunk/live-helper/helpers/lh_bootstrap_clone	2007-06-19 15:48:24 UTC (rev 2210)
@@ -1,61 +0,0 @@
-#!/bin/sh
-
-# lh_bootstrap_clone(1) - bootstrap by cloning the host system
-# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
-#
-# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
-# This is free software, and you are welcome to redistribute it
-# under certain conditions; see COPYING for details.
-
-set -e
-
-# Including common functions
-LH_BASE="${LH_BASE:-/usr/share/live-helper}"
-
-for FUNCTION in "${LH_BASE}"/functions/*.sh
-do
-	. "${FUNCTION}"
-done
-
-# Setting static variables
-DESCRIPTION="bootstrap by cloning the host system"
-HELP=""
-USAGE="${PROGRAM} [--force]"
-
-Arguments "${@}"
-
-# Reading configuration files
-Read_conffile config/common
-Read_conffile config/bootstrap
-Read_conffile config/chroot
-Read_conffile config/binary
-Read_conffile config/source
-Set_defaults
-
-if [ "${LH_BOOTSTRAP}" != "clone" ]
-then
-	exit 0
-fi
-
-Echo_message "Begin bootstrapping system..."
-
-# Ensure that a system is built as root
-lh_testroot
-
-# Checking stage file
-Check_stagefile .stage/bootstrap
-
-# Checking lock file
-Check_lockfile .lock
-
-# Creating lock file
-Create_lockfile .lock
-
-# Read package selection
-echo "`dpkg --get-selections | awk '{ print $1 }'`" > config/chroot_local-packageslists/clone
-
-# Read debconf values
-# preseed
-
-# Creating stage file
-Create_stagefile .stage/bootstrap

Modified: dists/trunk/live-helper/helpers/lh_config
===================================================================
--- dists/trunk/live-helper/helpers/lh_config	2007-06-19 14:55:10 UTC (rev 2209)
+++ dists/trunk/live-helper/helpers/lh_config	2007-06-19 15:48:24 UTC (rev 2210)
@@ -380,3 +380,17 @@
 # (Default: ${LIVE_SOURCE_IMAGES})
 LIVE_SOURCE_IMAGES="${LIVE_SOURCE_IMAGES}"
 EOF
+
+if [ "${CONFIG}" = "clone" ]
+then
+	# Read package selection
+	echo `dpkg --get-selections | awk '{ print $1 }'` > config/chroot_local-packageslists/local-system
+
+	# Read debconf questions
+	if [ ! -f /usr/bin/debconf-get-selections ]
+	then
+		Echo_warning "Please install 'debconf-utils' in order to use this feature."
+	else
+		debconf-get-selections | grep -v deinstall | cut -f1 > config/chroot_local-preseed/local-system
+	fi
+fi

Copied: dists/trunk/live-helper/helpers/lh_config_clone (from rev 2208, dists/trunk/live-helper/helpers/lh_bootstrap_clone)
===================================================================
--- dists/trunk/live-helper/helpers/lh_config_clone	                        (rev 0)
+++ dists/trunk/live-helper/helpers/lh_config_clone	2007-06-19 15:48:24 UTC (rev 2210)
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# lh_clone_clone(1) - clone by cloning the host system
+# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+LH_BASE="${LH_BASE:-/usr/share/live-helper}"
+
+for FUNCTION in "${LH_BASE}"/functions/*.sh
+do
+	. "${FUNCTION}"
+done
+
+# Setting static variables
+DESCRIPTION="create configuration based on host system"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+if [ "${LH_BOOTSTRAP}" != "clone" ]
+then
+	exit 0
+fi
+
+Echo_message "Begin bootstrapping system..."
+
+# Ensure that a system is built as root
+lh_testroot
+
+# Checking stage file
+Check_stagefile .stage/bootstrap
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Read package selection
+echo `dpkg --get-selections | awk '{ print $1 }'` > config/chroot_local-packageslists/local-system
+
+# Read debconf questions
+if [ ! -f /usr/bin/debconf-get-selections ]
+then
+	Echo_warning "Please install 'debconf-utils' in order to use this feature."
+else
+	debconf-get-selections | grep -v deinstall | cut -f1 > config/chroot_local-preseed/local-system
+fi
+
+# Creating stage file
+Create_stagefile .stage/bootstrap




More information about the Debian-live-changes mailing list